namespace SafeCampus.Core;

public enum AlarmType
{
    /// <summary>
    /// 周界入侵
    /// </summary>
    [Description("周界入侵")]
    [Display(Name = "visual_fence")]
    visual_fence,
    /// <summary>
    /// 翻越
    /// </summary>
    [Description("翻越")]
    [Display(Name = "climb_over")]
    climb_over,
    /// <summary>
    /// 人群聚集
    /// </summary>
    [Description("人群聚集")]
    [Display(Name = "crowd")]
    crowd,
    /// <summary>
    /// 烟火告警
    /// </summary>
    [Description("烟火告警")]
    [Display(Name = "fire_smoke")]
    fire_smoke,
    /// <summary>
    /// 可疑徘徊
    /// </summary>
    [Description("可疑徘徊")]
    [Display(Name = "wander")]
    wander,
    /// <summary>
    /// 重点人员布控
    /// </summary>
    [Description("重点人员布控")]
    [Display(Name = "blacklist")]
    blacklist,
    /// <summary>
    /// 奔跑
    /// </summary>
    [Description("奔跑")]
    [Display(Name = "run")]
    run,
    /// <summary>
    /// 追逐
    /// </summary>
    [Description("追逐")]
    [Display(Name = "chase")]
    chase,
    /// <summary>
    /// 摔倒
    /// </summary>
    [Description("摔倒")]
    [Display(Name = "fall_down")]
    fall_down,
    /// <summary>
    /// 跨线
    /// </summary>
    [Description("跨线")]
    [Display(Name = "cross_line")]
    cross_line,
    /// <summary>
    /// 教室点名
    /// </summary>
    [Description("教室点名")]
    [Display(Name = "class_room_call")]
    class_room_call,
    /// <summary>
    /// 趴桌子
    /// </summary>
    [Description("趴桌子")]
    [Display(Name = "lie_on_table")]
    lie_on_table,
    /// <summary>
    /// 抽烟检测
    /// </summary>
    [Description("抽烟检测")]
    [Display(Name = "person_smoke")]
    person_smoke,
    /// <summary>
    /// 猫鼠检测
    /// </summary>
    [Description("猫鼠检测")]
    [Display(Name = "animal_break_in")]
    animal_break_in,
    /// <summary>
    /// 巡更检测
    /// </summary>
    [Description("巡更检测")]
    [Display(Name = "patrol")]
    patrol,
    /// <summary>
    /// 离岗检测
    /// </summary>
    [Description("离岗检测")]
    [Display(Name = "off_duty")]
    off_duty,
    /// <summary>
    /// 打闹检测
    /// </summary>
    [Description("打闹检测")]
    [Display(Name = "fight")]
    fight,
    /// <summary>
    /// 未戴帽子检测
    /// </summary>
    [Description("未戴帽子检测")]
    [Display(Name = "hat_detect")]
    hat_detect,
    /// <summary>
    /// 未戴口罩检测
    /// </summary>
    [Description("未戴口罩检测")]
    [Display(Name = "mask_detect")]
    mask_detect,
    /// <summary>
    /// 未穿工作服检测
    /// </summary>
    [Description("未穿工作服检测")]
    [Display(Name = "cloth_detect")]
    cloth_detect,
    /// <summary>
    /// 洗手行为采集
    /// </summary>
    [Description("洗手行为采集")]
    [Display(Name = "wash_hand")]
    wash_hand,
    /// <summary>
    /// 车辆违停
    /// </summary>
    [Description("车辆违停")]
    [Display(Name = "vehicle_parking")]
    vehicle_parking,
    /// <summary>
    /// 车辆超速
    /// </summary>
    [Description("车辆超速")]
    [Display(Name = "vehicle_speeding")]
    vehicle_speeding,
    /// <summary>
    /// 违规占道
    /// </summary>
    [Description("违规占道")]
    [Display(Name = "violation_occupy")]
    violation_occupy,
    /// <summary>
    /// 玩手机
    /// </summary>
    [Description("玩手机")]
    [Display(Name = "play_phone")]
    play_phone,
    /// <summary>
    /// 骑车未戴头盔
    /// </summary>
    [Description("骑车未戴头盔")]
    [Display(Name = "bike_without_helmet")]
    bike_without_helmet,
    /// <summary>
    /// 儿童骑平衡车
    /// </summary>
    [Description("儿童骑平衡车/滑板车")]
    [Display(Name = "segway_with_child")]
    segway_with_child


}